# Gimp.Image.prototype.select_ellipse

    function select_ellipse(operation: Gimp.ChannelOps, x: Number(gdouble), y: Number(gdouble), width: Number(gdouble), height: Number(gdouble)): Boolean {
        // Gjs wrapper for gimp_image_select_ellipse()
    }

Create an elliptical selection over the specified image.

This tool creates an elliptical selection over the specified image. The elliptical region can be either added to, subtracted from, or replace the contents of the previous selection mask.

This procedure is affected by the following context setters: Gimp.context_set_antialias, Gimp.context_set_feather, Gimp.context_set_feather_radius.

Since 2.8

operation

  The selection operation.

x

  x coordinate of upper-left corner of ellipse bounding box.

y

  y coordinate of upper-left corner of ellipse bounding box.

width

  The width of the ellipse.

height

  The height of the ellipse.

Returns

  TRUE on success.